
<div *ngFor="let branchDetail of branchDetailsArray; let i = index">
<h5 class="modal-title" id="branchDetailsTitle">Branch {{ i+1 }} </h5>
<div class="form-group row mb-2" >
    <label for="" class="col-md-6 mt-2">Branch Name</label>
    <input type="text" name="branch_name" [(ngModel)]="branchDetailsArray[i].branch_name" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Street</label>
    <input type="text" name="street" [(ngModel)]="branchDetailsArray[i].street" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Area</label>
    <input type="text" name="area" [(ngModel)]="branchDetailsArray[i].area" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">City/Town</label>
    <input type="text" name="city_town" [(ngModel)]="branchDetailsArray[i].city_town" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">District</label>
    <input type="text" name="district" [(ngModel)]="branchDetailsArray[i].district" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Police Station</label>
    <input type="text" name="police_station" [(ngModel)]="branchDetailsArray[i].police_station" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Country</label>
    <select name="country" data-region-id="country"  [(ngModel)]="branchDetailsArray[i].country" data-default-value="India"   class=" crs-country data-crs-loaded col-md-4 form-control b-4" >
        
    </select>
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">State</label>
    <select name="state"  id="country" [(ngModel)]="branchDetailsArray[i].state" data-default-value="West Bengal" class="col-md-4 form-control b-4">
    </select>
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Pin code</label>
    <input type="text" name="pin_code" [(ngModel)]="branchDetailsArray[i].pin_code" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Attachment</label>
    <input type="file" name="attachment" [(ngModel)]="branchDetailsArray[i].attachment" class="col-md-4 form-control b-4">
</div>
<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have separate Trade Licence?</label>
    <select  name="trade_license" [(ngModel)]="branchDetailsArray[i].trade_license" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <a data-target="#Trade" data-toggle="modal" class="text-primary col-md-3 mt-2" *ngIf="branchDetailsArray[i].trade_license == 'yes'"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>

</div>

<hr>
<div class=" ">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Trade Licence Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning" data-dismiss="modal"
            aria-label="Close">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>


<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have separate Proffesional Tax Enrollment?</label>
    <select name="ptax_enrollment" [(ngModel)]="branchDetailsArray[i].ptax_enrollment" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <a data-target="#sptaxEnrollment" data-toggle="modal" class="text-primary col-md-3 mt-2" *ngIf="branchDetailsArray[i].ptax_enrollment == 'yes'" ><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>
</div>

<hr>
<div class="b-1">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Enrollment Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row  mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>



<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have separate registration Under GST?</label>
    <select name="reg_gst" [(ngModel)]="branchDetailsArray[i].reg_gst" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <a data-target="#GST" data-toggle="modal" class="text-primary col-md-3 mt-2" *ngIf="branchDetailsArray[i].reg_gst == 'yes'"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>
</div>

<hr>
<div class=" ">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">GST Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning" data-dismiss="modal"
            aria-label="Close">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>


<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have Separate TAN?</label>
    <select name="tan" [(ngModel)]="branchDetailsArray[i].tan" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <a data-target="#TAN" data-toggle="modal" class="text-primary col-md-3 mt-2" *ngIf="branchDetailsArray[i].tan == 'yes'"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>
</div>

<hr>
<div class=" ">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Tax deduction and collection Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning" data-dismiss="modal"
            aria-label="Close">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>


<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have separate registration under ESI?</label>
    <select name="reg_esi" [(ngModel)]="branchDetailsArray[i].reg_esi" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <a data-target="#sStateInsurance" data-toggle="modal" class="text-primary col-md-3 mt-2" *ngIf="branchDetailsArray[i].reg_esi == 'yes'"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>
</div>

<hr>
<div class=" ">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">ESI Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row  mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>

<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have any other registration?</label>
    <select name="other_reg" [(ngModel)]="branchDetailsArray[i].other_reg" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <ng-container *ngIf="branchDetailsArray[i].other_reg == 'yes'">
    <label for="" class="col-md-1 mt-2">Number</label>
    <input type="number"  name="no_of_registrations" [(ngModel)]="branchDetailsArray[i].no_of_registrations" min="1" class="form-control col-md-1  b-4">
    <a data-target="#RegistrationDetails" data-toggle="modal" class="text-primary col-md-2 mt-2"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a>
        </ng-container>
</div>
<hr>
<div class=" ">
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Registration Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
        <input type="date" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Department Address</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Range/Ward</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Telephone Number</label>
        <input type="text" class="col-md-4 form-control b-4">
    </div>
    <div class="form-group row mb-2">
        <label for="" class="col-md-6 mt-2">Attachment</label>
        <input type="file" class="col-md-4 form-control b-4">
    </div>
    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning" data-dismiss="modal"
            aria-label="Close">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>
</div>

<div class="form-group row mb-2">
    <label for="" class="col-md-6 mt-2">Do you have any other warehouse?</label>
    <select name="warehouse" [(ngModel)]="branchDetailsArray[i].warehouse" class="col-md-2 form-control b-4">
        <option *ngFor="let option of yesOrNoOptions" [value]="option.value">{{ option.label }}</option>
    </select>
    <ng-container *ngIf="branchDetailsArray[i].warehouse == 'yes'">
    <label for="" class="col-md-1 mt-2">Number</label>
    <input type="number" name="no_of_warehouses" [(ngModel)]="branchDetailsArray[i].no_of_warehouses" min="1" class="form-control col-md-1 b-4">
    <a data-target="#WarehouseDetails" data-toggle="modal" class="text-primary col-md-2 mt-2"><i class="fa fa-pencil"
            aria-hidden="true"></i> Add/Edit</a></ng-container>
</div>

<div class=" ">
    <app-com-warehouse-details ></app-com-warehouse-details>
</div>


</div>
